<?
if($ku['public_mail']>=time()){

if($_COOKIE['mail_al']==''){
$mail_al = mysql_fetch_array(mysql_querll("SELECT * FROM kolhoz_user WHERE id='".$ku['id']."'"));
} else {
$mail_prov = $_COOKIE['mail_al'];
$mail_cook = mysql_fetch_array(mysql_querll("SELECT * FROM kolhoz_user WHERE id='".$mail_prov."'"));
if($ku['id']!=1 && $ku['id']!=1){
if($mail_cook['status']>=3){
$mail_prov = $ku['id'];
}
}
$mail_al = mysql_fetch_array(mysql_querll("SELECT * FROM kolhoz_user WHERE id='".$mail_prov."'"));
}

if((isset($_POST['mail_al_submit']))||(isset($_GET['mail_al_submit']))){
if($_POST['mail_al_id']==''){$mail_al_id=$_GET['mail_al_submit'];}else{$mail_al_id=$_POST['mail_al_id'];}
$mail_cook = mysql_fetch_array(mysql_querll("SELECT * FROM kolhoz_user WHERE id='".$mail_al_id."'"));
if($ku['id']!=1 && $ku['id']!=1){
if($mail_cook['status']>0){
err_game('Нельзя читать почту Администрации.');
$mail_id_dostup = 1;
}
if($mail_cook['mail_not_shit']>=time()){
err_game('У данного пользователя стоит защита почты.');
}
}
if($mail_cook['id']==''){
err_game('Пользователя с таким ID не существует.');
$mail_id_dostup = 1;
}
if($mail_id_dostup == 0){
setcookie("mail_al",$mail_al_id,time()+21600);
header("Location:?mail_al"); exit;
}
}

echo "<div class='event'><h1><a href='?mail_al'>Почта пользователей</a></h1></div>";
$mail_new_id=mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_mail` WHERE `id_user` = '$mail_al[id]' AND `read` = '0'"),0);
?>
<div class="content"><div class="block">
<form method="post" action="?mail_al">
Опция будет открыта: <span class='title'><? echo time_left($ku['public_mail']-$time); ?></span><br/>
Почта пользователя <a href="?user=<? echo $mail_al['id']; ?>" target='_blank'><font color='#FBD101'><? echo $mail_al['nick']; ?></font></a><? if($mail_new_id>=1){echo"<font color='red'>+".$mail_new_id."</font>";} ?> | ID:<input type="text" name="mail_al_id" size="5" value="<? echo $mail_al['id']; ?>">
<input type="submit" name="mail_al_submit" value="ok">
</form>
</div></div>
<?

$msg = strtr($msg, array('.ru'=>'[реклама]', '.r u'=>'[реклама]', '.net'=>'[реклама]', '.n e t'=>'[реклама]', '[реклама]', '.org'=>'[реклама]', 'ru'=>'[реклама]', 'net'=>'[реклама]', 'com'=>'[реклама]', 'h2m.ru'=>'[реклама]', 'biz'=>'[реклама]', 'b i z'=>'[реклама]', 'tk'=>'[реклама]', 'mobi'=>'[реклама]', 'in'=>'[реклама]', 'us'=>'[реклама]', 'i n'=>'[реклама]', 'u s'=>'[реклама]', 'spaces'=>'[реклама]', 'www'=>'[реклама]', 'wap'=>'[реклама]', 'vkol'=>'[реклама]', '.ру'=>'[реклама]', '.р у'=>'[реклама]', '.нет'=>'[реклама]', 'Ru'=>'[реклама]', 'RU'=>'[реклама]', 'rU'=>'[реклама]', 'NET'=>'[реклама]', 'US'=>'[реклама]', 'IN'=>'[реклама]', 'su'=>'[реклама]', 'SU'=>'[реклама]', 'info'=>'[реклама]'));
Error_Reporting (E_ALL & ~E_NOTICE);
function cut_msg($text)
{
mb_internal_encoding("UTF-8");
$text = mb_substr($text, 0, 16);
return str_replace('','',$text);
}

if(isset($_GET['msg']) && intval($_GET['msg'])!=NULL && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_mail` WHERE `id` = '".intval($_GET['msg'])."' AND `id_user` = '$mail_al[id]' LIMIT 1"),0)!=0)
{
$msg=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_mail` WHERE `id` = '".intval($_GET['msg'])."' AND `id_user` = '$mail_al[id]' LIMIT 1"));
$ank=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_user` WHERE `id` = '$msg[id_kont]'"));
$anku=$ank;
echo '<div class="content"><div class="block">';
echo "<ul><li><span class='minor'>".($msg['type']=='to'?"От":"Кому").":</span> <span>";
if($msg['id_kont']!=0)echo on_k($ank['id']);
echo " ".($msg['id_kont']==0?"Почта":"<a class='' href='?user=$ank[id]'>".nc($ank['id'])."</a>")."</span></li><li><div class='title'><p>".output_text($msg['msg'], ($msg['type']=='to'?$ank['id']:$mail_al['id']))."</p></div></li><li class='small minor'><span>".vremja($msg['time'])."</span></li><br/> <img width='16' height='16' src='images/icons/mail_filter_all.png' alt='o'> <a href='?mail_al&history=$ank[id]'>Переписка</a></ul></div>";
include_once 'inc/foot.php';
} 
else 
{
if(isset($_GET['history']) && intval($_GET['history'])!=NULL && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_user` WHERE `id` = '".intval($_GET['history'])."'"),0)!=0)
{
$history=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_user` WHERE `id` = '".intval($_GET['history'])."'"));
$historyu=$history;
}
echo '<div class="content"><div class="block">';
echo "<ul>";
if(!isset($history))echo "<li class='minor pb'><img width='16' height='16' src='images/icons/mail_filter.png' alt='o'> ".(isset($_GET['new'])?"<a href='?mail_al'>":null)."<span>Все</span>".(isset($_GET['new'])?"</a>":null)." | ".(!isset($_GET['new'])?"<a href='?mail_al&new'>":null)."<span>Новые</span>".(!isset($_GET['new'])?"</a>":null)."</li>";
$k_post = mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_mail` WHERE ".(isset($history)?"`id_kont` = '$history[id]' AND `id_user` = '$mail_al[id]'":"".(isset($_GET['new'])?"`read` = '0' AND ":null)."`id_user` = '$mail_al[id]'").""),0);
if ($k_post==0)
{
echo "".(isset($history)?"Нету переписки с $historyu[nick]":"Список пуст...")."";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_querll("SELECT * FROM `kolhoz_mail` WHERE ".(isset($history)?"`id_kont` = '$history[id]' AND `id_user` = '$mail_al[id]'":"".(isset($_GET['new'])?"`read` = '0' AND ":null)."`id_user` = '$mail_al[id]'")." ORDER BY `time` DESC LIMIT $start, $set[p_str]");
while($post=mysql_fetch_array($q))
{
$ank=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_user` WHERE `id` = '$post[id_kont]'"));
$anku=$ank;
echo "<li class='pb'><div><img width='20' height='20' src='images/mail/";
if($post['type']=='to'){
if($post['read']==0){echo 'received_no_reads.png';} else {echo 'received_read.png';}
} else {
$post_read=mysql_fetch_array(mysql_querll("SELECT `read` FROM `kolhoz_mail` WHERE `id`='".($post['id']-1)."'"));
if($post_read['read']==0){echo 'sent_no_reads.png';} else {echo 'sent_read.png';}
}
echo "' alt='o'><span>";
if($post['id_kont']!=0)echo on_k($ank['id']);
echo " ".($post['id_kont']==0?"Почтовый Сервис":"<a class='' href='?user=$ank[id]'>".nc($ank['id'])."</a>")."</span> <span class='minor small'>(<span>".vremja($post['time'])."</span>)</span></div><div class='title'>".htmlspecialchars(cut_msg($post['msg']))."...</div><img width='16' height='16' src='images/icons/arrow.png' alt='o'> <a href='?mail_al&msg=$post[id]'>читать</a></li>";
}
if($k_page>1)str("?mail_al".(isset($_GET['new'])?"&new":null)."".(isset($history)?"&history=$history[id]":null)."&",$k_page,$page); // Вывод страниц
echo "</ul>";
echo "<li class='ptm minor'><span class='title'>Внимание!</span> Сообщения хранятся в почте <span class='title'>30 дней</span>, по истечении срока жизни сообщения <span class='title'>удаляются</span> автоматически.</li></ul></div></div>";
include_once 'inc/foot.php';
}
} else {
header("location:?myfarm"); exit;
/*
echo '<div class="event"><h1>Почта пользователей</h1></div>'."\n";
echo '<div class="content"><div class="block">'."\n";
echo 'У главного администратора можно приобрести 2 функции:<br/>'."\n";
echo '1: Возможность чтения чужой почты в удобном формате,<br/>'."\n";
echo '2: Запрет чтения конкретно вашей почты - "Приватность".<br/>'."\n";
echo '</div></div>'."\n";
include_once 'inc/foot.php';
*/
}
?>